Subject: Re: bug#63063: CVE-2021-36699 report

From: Po Lu <[email-masked]>
Date: Tue, 25 Apr 2023 15:24:31 +0800

Eli Zaretskii <[email-masked]> writes:

> Please tell more about the buffer overflow: where does it happen in
> the Emacs sources, which buffer overflows, and why.  I cannot find
> these details in your report.

It happens because the dump file is deliberately edited to be invalid.
It is not a dump file that Emacs will generate under any circumstance,
and as such it's not a bug; by the same means, a pointer to an invalid
Lisp object could be created, causing a similar crash.  Emacs is not
expected to operate from a corrupt dump file any more than it is
expected to operate from a corrupt executable.